// ===========================================================================
// CONTENT  : INTERFACE ObjectRenderer
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 26/06/2000
// HISTORY  :
//  26/06/2000  duma  CREATED
//
// Copyright (c) 2000, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.joi;

/**
 * This interface must be implemented by classes that are responsible to
 * convert objects to a string representation which will then be used in
 * an inspector. 
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public interface ObjectRenderer
{
  /**
   * Returns the string representation of the specified object.
   */
  public String inspectString(Object obj);

}