// ===========================================================================
// CONTENT  : CLASS ListInspector
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 11/01/2000
// HISTORY  :
//  11/01/2000  duma  CREATED
//
// Copyright (c) 2000, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.joi.inspectors;

import org.pfsw.joi.AbstractObjectSpy;
import org.pfsw.joi.BasicInspector;

// ===========================================================================
// CONTENT  : CLASS ListInspector
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 11/01/2000
// HISTORY  :
//  11/01/2000  mdu  CREATED
//
// Copyright (c) 2000, by Manfred Duchrow. All rights reserved.
// ===========================================================================
// ===========================================================================
// IMPORTS
// ===========================================================================

/**
 * This is a specialized Inspector for objects that implement the List interface.
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public class ListInspector extends BasicInspector
{
  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  /**
   * Initialize the new instance with default values.
   */
  public ListInspector()
  {
    super();
  } // ListInspector()  

  // =========================================================================
  // PUBLIC INSTANCE METHODS
  // =========================================================================

  // =========================================================================
  // PROTECTED INSTANCE METHODS
  // =========================================================================

  /**
   * Returns the correct wrapper class (spy) for the given object.   <br>
   * Here it is always a ListSpy.
   *
   * @param obj The object to inspect
   */
  @Override
  protected AbstractObjectSpy objectSpyFor(Object obj)
  {
    return (new ListSpy(obj));
  } // objectSpyFor()  

  // -------------------------------------------------------------------------

  @Override
  protected String getInspectorId()
  {
    return "ListInspector";
  } // getInspectorId()

  // -------------------------------------------------------------------------

} // class ListInspector